function frequencies = rn2483_showfrequencies(handle)

frequencies = struct('freq', [],  'dcycle', [], 'drrange', [],  'status', []);

for ch = 0:15
    frequencies(ch+1).freq    = str2double(rn2483_cmd(handle, sprintf('mac get ch freq %d', ch)));
    frequencies(ch+1).dcycle  = 100 / (str2double(rn2483_cmd(handle, sprintf('mac get ch dcycle %d', ch))) + 1);
    frequencies(ch+1).drrange = sscanf(rn2483_cmd(handle, sprintf('mac get ch drrange %d', ch)), '%d').';
    frequencies(ch+1).status  = rn2483_cmd(handle, sprintf('mac get ch status %d', ch));
    if isequal(frequencies(ch+1).status, 'on')
        fprintf('ch%02d: f=%.3fMHz, dutycycle=%.2f%%, datarate=DR%d-DR%d\n', ch, frequencies(ch+1).freq/1e6, frequencies(ch+1).dcycle, frequencies(ch+1).drrange(1), frequencies(ch+1).drrange(2))
    else
        fprintf('ch%02d: --- off ---\n', ch);
    end
end
    

